> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_tuning/guides/using-whitelist-and-blacklist.md).

# Using whitelist & blacklist

Using the blacklist and whitelist options can be useful to limit some workshops, below is a list of available possible values to enter for each option

***

{% hint style="warning" %}
Remember not to use both options at the same time, as this will not work properly, as the blacklist excludes some options, while the whitelist will remove all other options that are not in the whitelist section.
{% endhint %}

{% tabs %}
{% tab title="vehicleClasses" %}
Using the `vehicleClasses` option, you can make restrictions for the workshop only for dedicated vehicle classes - for example, tuning only for boats/planes/helicopters

```lua
vehicleClasses = {
    [0] = true, -- Compacts
    [1] = true, -- Sedans
    [2] = true, -- SUVs
    [3] = true, -- Coupes
    [4] = true, -- Muscle
    [5] = true, -- Sports Classics
    [6] = true, -- Sports
    [7] = true, -- Super
    [8] = true, -- Motorcycles
    [9] = true, -- Off-road
    [10] = true, -- Industrial
    [11] = true, -- Utility
    [12] = true, -- Vans
    [13] = true, -- Cycles
    [14] = true, -- Boats
    [15] = true, -- Helicopters
    [16] = true, -- Planes
    [17] = true, -- Service
    [18] = true, -- Emergency
    [19] = true, -- Military
    [20] = true, -- Commercial
    [21] = true, -- Trains
    [22] = true, -- Open Wheel
},
```

{% endtab %}

{% tab title="indexedColors" %}
The options that can be added to the `indexedColors` section can be identified in config.tuningmenu.lua in the `Config.ColorsList` using the `name` option.

```lua
indexedColors = {
    ['black'] = true,
    ['grey'] = true,
    ['white'] = true,
    ['red'] = true,
    ['orange'] = true,
    ['brown'] = true,
    ['yellow'] = true,
    ['green'] = true,
    ['blue'] = true,
    ['purple'] = true,
    ['pink'] = true,
    ['chameleon'] = true,
    ['chrome'] = true,
    ['gold'] = true,
},
```

{% endtab %}

{% tab title="menus" %}
The options that can be added to the `menus` section can be identified in config.tuningmenu.lua by the fact that redirection to them is done using `selectOpen`.

```lua
menus = {
    ['visual'] = true, -- Menu Visuals

    ['mechanical'] = true, -- Menu Mechanicals

    ['body'] = true, -- Menu "Body" in "Visuals"
    ['inside'] = true, -- Menu "Inside" in "Visuals"
    ['paint'] = true,  -- Menu "Paint" in "Visuals"
    ['wheels'] = true, -- Menu "Wheels" in "Visuals"
    ['licenseplate'] = true, -- Menu "License Plate" in "Visuals"
    ['xenon'] = true, -- Menu "Xenon" in "Visuals"
    ['color1'] = true, -- Menu "Primary Color" in "Visuals"
    ['color2'] = true, -- Menu "Secondary Color" in "Visuals"
    ['wheels_type'] = true, -- Menu "Wheels Type" in "Wheels"
},
```

{% endtab %}

{% tab title="parts" %}
The options that can be added to the `parts` section can be identified in config.tuningmenu.lua by the fact that redirection to them is done using `modType`.

```lua
parts = {
    -- Options from the "Body" section
    ['neonColor'] = true,
    ['modLivery'] = true,
    ['windowTint'] = true,
    [14] = true, -- Horn
    ['extras'] = true,
    [0] = true, -- Spoilers
    [1] = true, -- Front Bumper
    [2] = true, -- Rear Bumper
    [3] = true, -- Side Skirts
    [4] = true, -- Exhaust
    [5] = true, -- Cage
    [6] = true, -- Grille
    [7] = true, -- Hood
    [8] = true, -- Left Fender
    [9] = true, -- Right Fender
    [10] = true, -- Roof
    [27] = true, -- TrimA
    [35] = true, -- APlate
    [36] = true, -- Speakers
    [37] = true, -- Trunk
    [38] = true, -- Hydrolic
    [39] = true, -- Engine Block
    [40] = true, -- Air Filter
    [41] = true, -- Struts
    [42] = true, -- Arch Cover
    [43] = true, -- Aerials
    [44] = true, -- Wings
    [45] = true, -- Tank
    [46] = true, -- Windows

    -- Options from the "Inside" section
    [28] = true, -- Ornaments
    [29] = true, -- Dashboard
    [30] = true, -- Dial
    [31] = true, -- Door Speaker
    [32] = true, -- Seat
    [33] = true, -- Steering Wheel
    [34] = true, -- Shifter Leaver

    -- Options from the "Paint" section
    ['paintTypePrimary'] = true,
    ['paintTypeSecondary'] = true,
    ['pearlescentColor'] = true,
    ['dashboardColor'] = true,
    ['interiorColor'] = true,

    -- Options from the "Wheels" section
    ['wheelColor'] = true,
    ['tyreSmokeColor'] = true,

    -- Options from the "License Plate" section
    ['customPlateNumbers'] = true,
    [25] = true, -- Type
    ['plateIndex'] = true, -- Color
    [26] = true, -- Holder

    -- Options from the "Xenon" section
    [22] = true, -- Xenon
    ['xenonColor'] = true,

    -- Options from the "Mechanical Upgrades" section
    [16] = true, -- Armor
    [11] = true, -- Engine
    [12] = true, -- Brakes
    [13] = true, -- Transmission
    [15] = true, -- Suspension
    [18] = true, -- Turbo
    ['engineSwap'] = true, -- Engine Swap
},
```

{% endtab %}

{% tab title="actions" %}
The options that can be added to the `actions` section can be identified in config.tuningmenu.lua by the fact that redirection to them is done using `action`.

```lua
actions = {
    ['clean'] = true,
    ['repair'] = true,
},
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_tuning/guides/using-whitelist-and-blacklist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
